Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 991098 - 200 OK returned when starting non existing task via REST, but server log contains NPE
Summary: 200 OK returned when starting non existing task via REST, but server log cont...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER2
: 6.0.0
Assignee: Marco Rietveld
QA Contact: Radovan Synek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-01 15:45 UTC by Radovan Synek
Modified: 2016-09-20 05:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:09:39 UTC
Type: Bug


Attachments (Terms of Use)
server log (deleted)
2013-08-01 15:45 UTC, Radovan Synek
no flags Details

Description Radovan Synek 2013-08-01 15:45:24 UTC
Created attachment 781665 [details]
server log

version: 6.0.0.CR1

Trying to start some task which does not exist by POST http://localhost:8080/business-central/rest/task/12345

The response is 200 OK is returned, but server log contains NPE: Unable to execute StartTaskCommand because of NullPointerException

1) why not to return 500 - internal server error with description of the problem?

2) couldn't be the NPE caught and replaced by more informative IllegalArgumentException (again, with some description)?

See the attached server log for more details.

Comment 1 Marco Rietveld 2013-08-06 20:48:57 UTC
Fixed with this commit: 
https://github.com/droolsjbpm/droolsjbpm-integration/commit/0f27ff1bdfd4f553d1bb40bdde4d2400cf032a71

I did not change the status to modified because I don't know what the correct target milestone is.

Comment 2 Radovan Synek 2013-09-04 11:41:19 UTC
Verified on BPMS 6.0.0.ER2


Note You need to log in before you can comment on or make changes to this bug.